> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/cidr-block/unbindcidrblockips.md).

# UnbindCidrBlockIps

## 1. API Description

This API (UnbindCidrBlockIps) is used to unbind one or more CIDR block IPs from instances. \*\*\*.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                     |
| -------------- | -------- | --------------- | --------------------------------------------------------------------------------------------------------------- |
| ipList         | Yes      | Array of String | List of IPs to be unassigned.                                                                                   |
| cidrBlockId    | Yes      | String          | <p>ID of the CIDR block.</p><p>You can find the cidrBlockId in the response by calling DescribeCidrBlocks .</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
Unassign a CIDR block IP from the instance.

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnbindCidrBlockIps
<Common Request Params>

Request:
{
  "cidrBlockId": "cidrBlockId",
  "ipList": [
    "2602:ffe4:1:11::1"
  ]
}

Response:
{
  "requestId": "TEE694662-1428-4330-91ED-9D5800206E20",
  "response": {
    "requestId": "TEE694662-1428-4330-91ED-9D5800206E20"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                             | Description                                                        |
| ---------------- | -------------------------------------- | ------------------------------------------------------------------ |
| 403              | OPERATION\_DENIED\_CIDRBLOCK\_RECYCLED | This operation is not supported for CIDR block in the recycle bin. |
| 403              | OPERATION\_DENIED\_SERVER\_EXIST\_IPV6 | The specified instance has an IPv6 address configured.             |
| 403              | OPERATION\_DENIED\_IP\_NOT\_BELONG     | The IP to be unbound does not belong to the specified CIDR block.  |
| 403              | OPERATION\_DENIED\_INVALID\_STATUS     | The current state of the IP does not support unbinding.            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/cidr-block/unbindcidrblockips.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
